#pragma once
#include "afxcolorbutton.h"


// CMenuImageInfoSetting_Dlg 对话框

class CMenuImageInfoSetting_Dlg : public CDialogEx
{
	DECLARE_DYNAMIC(CMenuImageInfoSetting_Dlg)

public:
	CMenuImageInfoSetting_Dlg(CWnd* pParent = NULL);   // 标准构造函数
	virtual ~CMenuImageInfoSetting_Dlg();
public:
	IAdvImageShowControl*  m_pControl;
public:
// 对话框数据
#ifdef AFX_DESIGN_TIME
	enum { IDD = IDD_DIALOG_TEXT_INFO };
#endif

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV 支持

	DECLARE_MESSAGE_MAP()
public:
	virtual BOOL OnInitDialog();
	CMFCColorButton m_txt_color;
	afx_msg void OnBnClickedMfccolorbuttonText();
	afx_msg void OnBnClickedButtonFont();
	CString m_strFontInfo;
	int m_nCapturePos;
	afx_msg void OnBnClickedOk();
	afx_msg void OnBnClickedRadioTextPos();
	afx_msg void OnBnClickedRadio2();
	afx_msg void OnBnClickedRadio3();
	afx_msg void OnBnClickedRadio4();
	afx_msg void OnBnClickedCheckIdx();
	afx_msg void OnBnClickedCheckSize();
	afx_msg void OnBnClickedCheckRate();
	afx_msg void OnBnClickedCheckPt();
	afx_msg void OnBnClickedCheckPicPos();
	afx_msg void OnBnClickedCheckExtInfo();
	afx_msg void OnBnClickedCheckExtTime();
	afx_msg void OnBnClickedCheckKm();
	afx_msg void OnBnClickedCancel();
	afx_msg void OnBnClickedCheckMode();
};
